Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dv
Class DatatypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.apache.xerces.impl.dv.DatatypeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidDatatypeFacetException, InvalidDatatypeValueException

Deprecated. please use JDK supplied XML parsers and transformers

    public class DatatypeException

extends Exception

Base class for datatype exceptions. For DTD types, the exception can be created from an error message. For Schema types, it needs an error code (as defined in Appendix C of the structure spec), plus an array of arguents, for error message substitution.

See Also:
  Serialized Form

Field Summary
`protected Object[]` | `args` Deprecated.
`protected String` | `key` Deprecated.

Constructor Summary
`DatatypeException(String key, Object[] args)` Deprecated. Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Method Summary
`Object[]` | `getArgs()` Deprecated. Return the list of error arguments
`String` | `getKey()` Deprecated. Return the error code
`String` | `getMessage()` Deprecated. Overrides this method to get the formatted&localized error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected String key

  Deprecated.

### args

    protected Object[] args

  Deprecated.

Constructor Detail

### DatatypeException

    public DatatypeException(String key,
                             Object[] args)

  Deprecated.
  Create a new datatype exception by providing an error code and a list of error message substitution arguments.

  Parameters:
    `key` - error code
    `args` - error arguments

Method Detail

### getKey

    public String getKey()

  Deprecated.
  Return the error code

  Returns:
    error code

### getArgs

    public Object[] getArgs()

  Deprecated.
  Return the list of error arguments

  Returns:
    error arguments

### getMessage

    public String getMessage()

  Deprecated.
  Overrides this method to get the formatted&localized error message. REVISIT: the system locale is used to load the property file. do we want to allow the appilcation to specify a different locale?

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD